#include "AimPoint.h"

#include <rdbxx/RDBColumn.h>
#include <rdbxx/simpleRDBTable.h>
#include <suplibxx/str.h>

void readAimPointDataBase( const std::string& fname, dvm3_Vector& aimpointOSAC, dvm3_Vector& nodeOSAC, double& focal_length ) {

  try {

    RDB rdbtable( fname, std::ios::in );

    aimpointOSAC[0] = suplib::str2d( rdbtable.getComment( "xaimpoint" ).getValue().c_str( ) );
    aimpointOSAC[1] = suplib::str2d( rdbtable.getComment( "yaimpoint" ).getValue().c_str( ) );
    aimpointOSAC[2] = suplib::str2d( rdbtable.getComment( "zaimpoint" ).getValue().c_str( ) );
    nodeOSAC[0]     = suplib::str2d( rdbtable.getComment( "xnode" ).getValue().c_str( ) );
    nodeOSAC[1]     = suplib::str2d( rdbtable.getComment( "ynode" ).getValue().c_str( ) );
    nodeOSAC[2]     = suplib::str2d( rdbtable.getComment( "znode" ).getValue().c_str( ) );
    focal_length    = suplib::str2d( rdbtable.getComment( "flength" ).getValue().c_str( ) );


  } catch( RDBErr& re ) {
    re.set_message( ("error reading '") + fname + "'" );
    throw( re );

  } 
}
