#ifndef PHOTON_H
#define PHOTON_H

#include <bpipexx/bpipexx.h>

#include "DeticptResult.h"

namespace Deticpt {

    struct Photon {

	Photon( SAOTrace::BPipeX::Simple& bp, const bool pixprim );

	void set_result( DeticptResult& deticptResult );

	void set_photon( DeticptResult& deticptResult, const bool pixprim );

	DVector3* position;
	DVector3* direction;
	DVector3* position_np;
	DVector3* cpcpos;
	DVector3* cpcpos_np;
	DVector3* cpcdir;
	IVector2* chip;
	DVector2* chip_np;
	IVector2* tdet;
	DVector2* tdet_np;
	DVector2* det;
	DVector2* det_np;
	int* chip_id;
	int* icpt;

    };

}


#endif // ! PHOTON_H

