#include <libgen.h>
#include <cxcparamx/simple.h>

#include <tracefctxx/TraceFct.h>

#include "config.h"
#include "usage.hpp"

#include "deticpt.h"

int main( int argc, char** argv ) {
  TraceFct tf( argv[0], 0, -1 );

  try {

    cxcparamx::simple parfile( argc, argv );

    if ( parfile.getb( "help" ) ) {
      usage( );
      return EXIT_SUCCESS;
    }

    if ( parfile.getb( "version" ) ) {
        std::cout << basename( argv[ 0 ] ) << '\t' << VERSION << '\n';
      return EXIT_SUCCESS;
    }

    deticpt( parfile );

  } catch ( DeticptException& de ) {
    tf.exit( EXIT_FAILURE, de );

  } catch ( Exception& e ) {
    tf.exit( EXIT_FAILURE, e );

  }

  return EXIT_SUCCESS;

}
